Bug 216271 - f-spot crashes on export to picasa
f-spot crashes on export to picasa
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-18 08:53 EST by Pavel Rosenboim
Modified: 2008-05-06 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2006-11-18 08:53:37 EST
Description of problem:
After logging in to picasa, f-spot crashes with fatal error. 
An unhandled exception was thrown: Object reference not set to an instance of an
object

  at Mono.Google.Picasa.PicasaWeb.GetAlbums () [0x00000] 
  at FSpot.GoogleExport.PopulateAlbumOptionMenu (Mono.Google.Picasa.PicasaWeb
picasa) [0x00000] 
  at FSpot.GoogleExport.Connect (FSpot.GoogleAccount selected) [0x00000] 
  at FSpot.GoogleExport.Connect () [0x00000] 
  at FSpot.GoogleExport.HandleAccountSelected (System.Object sender,
System.EventArgs args) [0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr gch) [0x00000] 
  at (wrapper native-to-managed) GLib.Signal:voidObjectCallback (intptr,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.OptionMenu:gtk_option_menu_set_menu
(intptr,intptr)
  at Gtk.OptionMenu.set_Menu (Gtk.Widget value) [0x00000] 
  at FSpot.GoogleExport.PopulateGoogleOptionMenu (FSpot.GoogleAccountManager
manager, FSpot.GoogleAccount changed_account) [0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_GoogleAccountManager_GoogleAccount
(FSpot.GoogleAccountManager,FSpot.GoogleAccount)
  at FSpot.GoogleAccountManager.MarkChanged (Boolean write, FSpot.GoogleAccount
changed_account) [0x00000] 
  at FSpot.GoogleAccountManager.AddAccount (FSpot.GoogleAccount account, Boolean
write) [0x00000] 
  at FSpot.GoogleAccountManager.AddAccount (FSpot.GoogleAccount account) [0x00000] 
  at FSpot.GoogleAccountDialog.HandleAddResponse (System.Object sender,
Gtk.ResponseArgs args) [0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_ResponseArgs (object,Gtk.ResponseArgs)
  at Gtk.Dialog.ResponseSignalCallback (IntPtr arg0, Int32 arg1, IntPtr gch)
[0x00000] 
  at (wrapper native-to-managed) Gtk.Dialog:ResponseSignalCallback
(intptr,int,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.Application:gtk_main ()
  at Gtk.Application.Run () [0x00000] 
  at Gnome.Program.Run () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 
.NET Version: 1.1.4322.2032

Assembly Version Information:

Mono.Security (1.0.5000.0)
System.Xml (1.0.5000.0)
gnome-keyring-sharp (0.0.0.0)
FlickrNet (1.1.0.0)
google-sharp (0.0.0.0)
gconf-sharp (2.16.0.0)
pango-sharp (2.10.0.0)
SemWeb (0.7.1.0)
glade-sharp (2.10.0.0)
gtkhtml-sharp (2.16.0.0)
System.Data (1.0.5000.0)
Mono.Data.SqliteClient (1.0.5000.0)
gdk-sharp (2.10.0.0)
gnome-vfs-sharp (2.16.0.0)
dbus-sharp (0.60.0.0)
System (1.0.5000.0)
Mono.Posix (1.0.5000.0)
atk-sharp (2.10.0.0)
gtk-sharp (2.10.0.0)
glib-sharp (2.10.0.0)
gnome-sharp (2.16.0.0)
f-spot (0.2.1.0)
mscorlib (1.0.5000.0)

Platform Information: Linux 2.6.18-1.2849.fc6 i686 i386 GNU/Linux

Disribution Information:

[/etc/redhat-release]
Fedora Core release 6 (Zod)

[/etc/fedora-release]
Fedora Core release 6 (Zod)



Version-Release number of selected component (if applicable):
f-spot-0.2.1-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Attempt to export picture to Picasa (existing picasa account required)
2.
3.
  
Actual results:
F-spot crashes with message above.

Expected results:
Perform export.

Additional info:
Comment 1 Bug Zapper 2008-04-04 00:46:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:51:32 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.